Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.xml
Class QXmlEntityResolver

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.xml.QXmlEntityResolver

All Implemented Interfaces:
  QtJambiInterface, QXmlEntityResolverInterface

    public abstract class QXmlEntityResolver

extends QtJambiObject
implements QXmlEntityResolverInterface

The `QXmlEntityResolver` class provides an interface to resolve external entities contained in XML data.

If an application needs to implement customized handling for external entities, it must implement this interface, i.e. `resolveEntity`, and register it with QXmlReader::setEntityResolver().

See Also:
  `QXmlDTDHandler`, `QXmlDeclHandler`, `QXmlContentHandler`, `QXmlErrorHandler`, `QXmlLexicalHandler`, `to SAX2`

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QXmlEntityResolver()` Creates a new QXmlEntityResolver.

Method Summary
`abstract java.lang.String` | `errorString()` The reader calls this function to get an error string if any of the handler functions returns false.
`static QXmlEntityResolver` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QXmlEntityResolver instance pointed to by nativePointer
`abstract boolean` | `resolveEntity(java.lang.String publicId, java.lang.String systemId, QXmlInputSource ret)` The reader calls this function before it opens any external entity, except the top-level document entity.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QXmlEntityResolver

    public QXmlEntityResolver()

  Creates a new QXmlEntityResolver.

Method Detail

### errorString

    public abstract java.lang.String errorString()

  The reader calls this function to get an error string if any of the handler functions returns false.

  Specified by:
    `errorString` in interface `QXmlEntityResolverInterface`

### resolveEntity

    public abstract boolean resolveEntity(java.lang.String publicId,
                                          java.lang.String systemId,
                                          QXmlInputSource ret)

  The reader calls this function before it opens any external entity, except the top-level document entity. The application may request the reader to resolve the entity itself (`ret` is 0) or to use an entirely different input source (`ret` points to the input source).

  The reader deletes the input source `ret` when it no longer needs it, so you should allocate it on the heap with `new`.

  The argument `publicId` is the public identifier of the external entity, `systemId` is the system identifier of the external entity and `ret` is the return value of this function. If `ret` is 0 the reader should resolve the entity itself, if it is non-zero it must point to an input source which the reader uses instead.

  If this function returns false the reader stops parsing and reports an error. The reader uses the function `errorString` to get the error message.

  Specified by:
    `resolveEntity` in interface `QXmlEntityResolverInterface`

### fromNativePointer

    public static QXmlEntityResolver fromNativePointer(QNativePointer nativePointer)

  This function returns the QXmlEntityResolver instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD